org.eclipse.microprofile.context.tck.contexts.label.spi

## Class LabelContextProvider

- java.lang.Object
- - org.eclipse.microprofile.context.tck.contexts.label.spi.LabelContextProvider

All Implemented Interfaces:
  ThreadContextProvider

    public class LabelContextProvider
    extends Object
    implements ThreadContextProvider

This is a fake all-in-one context provider that is created by the test suite. This context type captures/clears/propagates/restores an immutable label (a String) that is associated with a thread.

### Constructor Summary

Constructors
Constructor and Description
`LabelContextProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ThreadContextSnapshot` `clearedContext(Map<String,String> props)` Cleared context is the empty string.
`ThreadContextSnapshot` `currentContext(Map<String,String> props)` Save the current context.
`String` `getThreadContextType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LabelContextProvider

    public LabelContextProvider()

### Method Detail

#### clearedContext

    public ThreadContextSnapshot clearedContext(Map<String,String> props)

Cleared context is the empty string.

Specified by:
  `clearedContext` in interface `ThreadContextProvider`

#### currentContext

    public ThreadContextSnapshot currentContext(Map<String,String> props)

Save the current context.

Specified by:
  `currentContext` in interface `ThreadContextProvider`

#### getThreadContextType

    public String getThreadContextType()

Specified by:
  `getThreadContextType` in interface `ThreadContextProvider`